## unknown-horizons 2014.1+git160920

=== requirements.txt ===
greenlet==0.4.10
mock==2.0.0
nose==1.3.7
pylint==1.6.4
PyYAML==3.12
Pillow==3.3.1

## unknown-horizons 2011.2-1+5.0trisquel1

=== debian/changelog ===
unknown-horizons (2011.2-1+5.0trisquel1) dagda; urgency=low

  * Imported into Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 20 Sep 2011 00:23:08 +0000

unknown-horizons (2011.2-1) weekly; urgency=low

  * New Alpha Release

 -- Christoph Egger <christoph@unknown-horizons.org>  Fri, 01 Jul 2011 23:28:41 +0200

unknown-horizons (2011.2~rc4-1) weekly; urgency=low

  * Release Candidate

 -- Christoph Egger <christoph@unknown-horizons.org>  Mon, 27 Jun 2011 16:05:58 +0200

unknown-horizons (2011.1+git2011.06.25-1) weekly; urgency=low

  * New Snapshot

 -- Christoph Egger <christoph@debian.org>  Sun, 26 Jun 2011 16:18:10 +0200

unknown-horizons (2011.1+git2011-06-07-1) weekly; urgency=low

  * New snapshot

 -- Christoph Egger <christoph@unknown-horizons.org>  Tue, 07 Jun 2011 23:53:47 +0200

unknown-horizons (2011.1+git2011-05-29-1) weekly; urgency=low

  * New snapshot

 -- Christoph Egger <christoph@unknown-horizons.org>  Sun, 29 May 2011 13:51:42 +0200

unknown-horizons (2011.1+git2011-05-15-1) weekly; urgency=low

  * New snapshot

 -- Christoph Egger <christoph@unknown-horizons.org>  Sun, 15 May 2011 16:43:54 +0200

unknown-horizons (2011.1-1) release; urgency=low

  * New stable release

 -- Christoph Egger <christoph@unknown-horizons.org>  Sat, 16 Apr 2011 20:17:13 +0200

unknown-horizons (2010.1+git2011.03.12-1) weekly; urgency=low

  * New snapshot

 -- Christoph Egger <christoph@unknown-horizons.org>  Sun, 13 Feb 2011 19:25:45 +0100

unknown-horizons (2010.1-2) release; urgency=low

  * fix dependencies

 -- Christoph Egger <christoph@unknown-horizons.org>  Sat, 18 Sep 2010 14:36:10 +0200

unknown-horizons (2010.1-1) release; urgency=low

  * Initial release

 -- Christoph Egger <christoph@unknown-horizons.org>  Fri, 17 Sep 2010 18:41:35 +0200

=== debian/control ===
Source: unknown-horizons
Section: games
Priority: optional
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
Build-Depends: debhelper (>= 7.0.50~), python-distutils-extra, python, xsltproc
Standards-Version: 3.9.1
Homepage: http://www.unknown-horizons.org

Package: unknown-horizons
Architecture: all
Depends: ${shlibs:Depends},
 ${misc:Depends},
 ${python:Depends},
 python-fife (>= 0.3.1+svn3431),
 python-fife (<< 2000),
 python-enet,
 python-yaml
Description: 2D realtime strategy simulation
 Unknown Horizons is a 2D realtime strategy simulation with an
 emphasis on economy and city building. Expand your small settlement
 to a strong and wealthy colony, collect taxes and supply your
 inhabitants with valuable goods. Increase your power with a well
 balanced economy and with strategic trade and diplomacy.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with python2

override_dh_auto_install:
	dh_auto_install
	find debian/unknown-horizons -name "*.so" -delete

override_dh_builddeb:
	dh_builddeb -- -Zxz

## unknown-horizons 2011.3+dfsg1

=== debian/changelog ===
unknown-horizons (2011.3+dfsg1-1) unstable; urgency=low

  * Upstream Release
    * Upload to Debian for the first time (Closes: #632361)
    * */enet.so removed -- sourceless and not needed as we have python-enet

 -- Christoph Egger <christoph@debian.org>  Fri, 06 Jan 2012 19:03:42 +0100

unknown-horizons (2011.2+git2011.09.02-1) weekly; urgency=low

  * New git snapshot

 -- Christoph Egger <christoph@unknown-horizons.org>  Fri, 02 Sep 2011 17:39:30 +0200

unknown-horizons (2011.2+git2011.08.14-1) weekly; urgency=low

  * New snapshot

 -- Christoph Egger <christoph@unknown-horizons.org>  Sun, 14 Aug 2011 11:47:54 +0200

=== debian/control ===
Source: unknown-horizons
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Christoph Egger <christoph@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
 python,
 xsltproc,
 intltool,
 docbook-xsl,
 docbook-xml
Vcs-Git: git://git.debian.org/git/pkg-games/unknown-horizons.git
Vcs-Browser: http://git.debian.org/?p=pkg-games/unknown-horizons.git
Standards-Version: 3.9.2
Homepage: http://www.unknown-horizons.org

Package: unknown-horizons
Architecture: all
Depends: ${shlibs:Depends},
 ${misc:Depends},
 ${python:Depends},
 python-fife (>= 0.3.3+r2),
 python-enet,
 python-yaml
Pre-Depends: dpkg (>= 1.15.6~)
Description: 2D realtime strategy simulation
 Unknown Horizons is a 2D realtime strategy simulation with an
 emphasis on economy and city building. Expand your small settlement
 to a strong and wealthy colony, collect taxes and supply your
 inhabitants with valuable goods. Increase your power with a well
 balanced economy and with strategic trade and diplomacy.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh --with python2 $@

override_dh_auto_install:
	dh_auto_install
	find debian/unknown-horizons -name "*.so" -delete
	rm debian/unknown-horizons/usr/share/unknown-horizons/content/fonts/GPL_fontexception\
	 debian/unknown-horizons/usr/share/unknown-horizons/content/fonts/LICENSE\
	 debian/unknown-horizons/usr/share/unknown-horizons/content/fonts/OFL

override_dh_builddeb:
	dh_builddeb -- -Zxz

## unknown-horizons 2011.3-1+5.5trisquel1

=== debian/changelog ===
unknown-horizons (2011.3-1+5.5trisquel1) brigantia; urgency=low

  * Imported into Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 10 Jun 2012 15:58:35 +0000

unknown-horizons (2011.3-1) weekly; urgency=low

  * New upstream release

 -- Christoph Egger <christoph@unknown-horizons.org>  Tue, 15 Nov 2011 16:30:09 +0100

=== debian/control ===
Source: unknown-horizons
Section: games
Priority: optional
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
Build-Depends: debhelper (>= 7.0.50~),
 python-distutils-extra,
 python,
 xsltproc,
 docbook-xsl
Standards-Version: 3.9.2
Homepage: http://www.unknown-horizons.org

Package: unknown-horizons
Architecture: all
Depends: ${shlibs:Depends},
 ${misc:Depends},
 ${python:Depends},
 python-fife (>= 0.3.1+svn3431),
 python-fife (<< 2000),
 python-enet,
 python-yaml
Description: 2D realtime strategy simulation
 Unknown Horizons is a 2D realtime strategy simulation with an
 emphasis on economy and city building. Expand your small settlement
 to a strong and wealthy colony, collect taxes and supply your
 inhabitants with valuable goods. Increase your power with a well
 balanced economy and with strategic trade and diplomacy.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	find debian/unknown-horizons -name "*.so" -delete

override_dh_builddeb:
	dh_builddeb -- -Zxz

## unknown-horizons 2012.1+dfsg1

=== debian/changelog ===
unknown-horizons (2012.1+dfsg1-1~ubuntu12.04.1) precise-backports; urgency=low

  * No-change backport to precise (LP: #998103)

 -- Micah Gersten <launchpad@micahscomputing.com>  Wed, 16 May 2012 13:17:33 +0100

unknown-horizons (2012.1+dfsg1-1) unstable; urgency=low

  * New upstream release

 -- Christoph Egger <christoph@debian.org>  Mon, 23 Apr 2012 00:16:46 +0200

=== debian/control ===
Source: unknown-horizons
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Christoph Egger <christoph@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
 python,
 xsltproc,
 intltool,
 docbook-xsl,
 docbook-xml
Vcs-Git: git://git.debian.org/git/pkg-games/unknown-horizons.git
Vcs-Browser: http://git.debian.org/?p=pkg-games/unknown-horizons.git
Standards-Version: 3.9.2
Homepage: http://www.unknown-horizons.org

Package: unknown-horizons
Architecture: all
Depends: ${shlibs:Depends},
 ${misc:Depends},
 ${python:Depends},
 python-fife (>= 0.3.3+r3),
 python-enet,
 python-yaml
Pre-Depends: dpkg (>= 1.15.6~)
Description: 2D realtime strategy simulation
 Unknown Horizons is a 2D realtime strategy simulation with an
 emphasis on economy and city building. Expand your small settlement
 to a strong and wealthy colony, collect taxes and supply your
 inhabitants with valuable goods. Increase your power with a well
 balanced economy and with strategic trade and diplomacy.

## unknown-horizons 2013.1b+ds1

=== debian/changelog ===
unknown-horizons (2013.1b+ds1-2) experimental; urgency=low

  * Update dependency on python-fife to 0.3.4 (Closes: #703007)

 -- Christoph Egger <christoph@debian.org>  Sun, 17 Mar 2013 03:53:13 +0100

unknown-horizons (2013.1b+ds1-1) experimental; urgency=low

  * Upstream bugfix release

 -- Christoph Egger <christoph@debian.org>  Tue, 12 Mar 2013 10:22:36 -0700

unknown-horizons (2013.1~+ds1-1) experimental; urgency=low

  * New upstream release

 -- Christoph Egger <christoph@debian.org>  Sun, 10 Mar 2013 21:59:31 -0700

## unknown-horizons 2013.2+ds1

=== debian/changelog ===
unknown-horizons (2013.2+ds1-2~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.

 -- Christoph Egger <christoph@debian.org>  Fri, 05 Jul 2013 13:33:25 +0200

unknown-horizons (2013.2+ds1-2) unstable; urgency=low

  * upload to unstable

 -- Christoph Egger <christoph@debian.org>  Sun, 23 Jun 2013 12:00:26 +0200

unknown-horizons (2013.2+ds1-1) experimental; urgency=low

  * New upstream release

 -- Christoph Egger <christoph@debian.org>  Mon, 08 Apr 2013 17:17:02 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  docbook-xml
 Vcs-Git: git://git.debian.org/git/pkg-games/unknown-horizons.git
 Vcs-Browser: http://git.debian.org/?p=pkg-games/unknown-horizons.git
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Homepage: http://www.unknown-horizons.org
 
 Package: unknown-horizons
@@ -19,7 +19,7 @@
 Depends: ${shlibs:Depends},
  ${misc:Depends},
  ${python:Depends},
- python-fife (>= 0.3.3+r3),
+ python-fife (>= 0.3.4),
  python-enet,
  python-yaml
 Pre-Depends: dpkg (>= 1.15.6~)

## unknown-horizons 2013.3%2Bds1

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh --with python2 $@

override_dh_auto_install:
	dh_auto_install
	find debian/unknown-horizons -name "*.so" -delete
	rm debian/unknown-horizons/usr/share/unknown-horizons/content/fonts/GPL_fontexception\
	 debian/unknown-horizons/usr/share/unknown-horizons/content/fonts/OFL

override_dh_auto_build-indep:
	convert -monitor -resize 32x32 $(CURDIR)/content/unknown-horizons.xpm $(CURDIR)/unknown-horizons-32x32.xpm

## unknown-horizons 2013.3+ds1

=== debian/changelog ===
unknown-horizons (2013.3+ds1-1) unstable; urgency=low

  [ Markus Koschany ]
  * Add menu, clean and install file. Convert unknown-horizons.xpm to
    unknown-horizons-32x32.xpm with imagemagick. Add imagemagick to
    Build-Depends-Indep. (Closes: #713829)
  * Remove dh_builddeb override. xz is the default compressor now.

  [ Christoph Egger ]
  * New upstream version

 -- Christoph Egger <christoph@debian.org>  Wed, 04 Dec 2013 16:29:17 +0100

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
  intltool,
  docbook-xsl,
  docbook-xml
+Build-Depends-Indep: imagemagick
 Vcs-Git: git://git.debian.org/git/pkg-games/unknown-horizons.git
 Vcs-Browser: http://git.debian.org/?p=pkg-games/unknown-horizons.git
 Standards-Version: 3.9.4

## unknown-horizons 2014.1+ds1

=== debian/changelog ===
unknown-horizons (2014.1+ds1-2) unstable; urgency=medium

  * Add dh-python build dependency
  * add python dependency
  * upload to unstable

 -- Christoph Egger <christoph@debian.org>  Sun, 03 May 2015 12:55:58 +0200

unknown-horizons (2014.1+ds1-1) experimental; urgency=medium

  * New upstream release
  * Add watchfile
  * Upload to experimental (we're in freeze)

 -- Christoph Egger <christoph@debian.org>  Sun, 22 Feb 2015 23:05:25 +0100

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Uploaders: Christoph Egger <christoph@debian.org>
 Build-Depends: debhelper (>= 7.0.50~),
  python,
+ dh-python,
  xsltproc,
  intltool,
  docbook-xsl,
@@ -22,6 +23,7 @@
  ${python:Depends},
  python-fife (>= 0.3.4),
  python-enet,
+ python,
  python-yaml
 Pre-Depends: dpkg (>= 1.15.6~)
 Description: 2D realtime strategy simulation

=== debian/rules ===
--- 
+++ 
@@ -14,5 +14,5 @@
 	 debian/unknown-horizons/usr/share/unknown-horizons/content/fonts/OFL
 
 override_dh_auto_build-indep:
-	convert -monitor -resize 32x32 $(CURDIR)/content/unknown-horizons.xpm $(CURDIR)/unknown-horizons-32x32.xpm
+	convert -monitor -resize 32x32 $(CURDIR)/content/packages/unknown-horizons.xpm $(CURDIR)/unknown-horizons-32x32.xpm

=== debian/watch ===
version=3
opts="filenamemangle=s/(?:.*)?v?(\d[\d\.]*)\.tar\.gz/unknown-horizons-$1.tar.gz/" \
         https://github.com/unknown-horizons/unknown-horizons/releases (?:.*/)?v?(\d[\d\.]*)\.tar\.gz

## unknown-horizons 2014.1+git160920

=== debian/changelog ===
unknown-horizons (2014.1+git160920-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Fixes startup crash. The game is playable again. (Closes: #797998)
    - The game no longer embeds UMing.ttc. (Closes: #679118)
  * Declare compliance with Debian Policy 3.9.8.
  * Switch to compat level 10.
  * Use canonical Vcs-fields.
  * Tighten dependency on python-fife.
  * wrap-and-sort -sa.
  * Remove Pre-Depends for dpkg-dev. It is trivially satisfied now.
  * Remove debian/docs because the file is empty.
  * Replace embedded Unifont.ttf font with Debian's system font.
  * Fix Lintian warning executable-not-elf-or-script and remove executable bit
    from files like tm_*.
  * Update debian/copyright and use copyright format 1.0. Fix all syntax
    errors.

 -- Markus Koschany <apo@debian.org>  Wed, 09 Nov 2016 00:31:30 +0100

=== debian/rules ===
--- 
+++ 
@@ -5,13 +5,15 @@
 #export DH_VERBOSE=1
 
 %:
-	dh --with python2 $@
+	dh $@ --with python2
 
 override_dh_auto_install:
 	dh_auto_install
 	find debian/unknown-horizons -name "*.so" -delete
 	rm debian/unknown-horizons/usr/share/unknown-horizons/content/fonts/GPL_fontexception\
 	 debian/unknown-horizons/usr/share/unknown-horizons/content/fonts/OFL
+	# Remove executable bit from files like tm_* and make Lintian happy
+	find debian/unknown-horizons/usr/share/unknown-horizons -type f -exec chmod a-x {} \;
 
 override_dh_auto_build-indep:
 	convert -monitor -resize 32x32 $(CURDIR)/content/packages/unknown-horizons.xpm $(CURDIR)/unknown-horizons-32x32.xpm

## unknown-horizons 2017.1+ds

=== debian/changelog ===
unknown-horizons (2017.1+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2017.1+ds. (Closes: #852041)
  * Add VERSION.patch and fix a FTBFS because the build system wrongly assumes
    that we still use a development version.
  * Add get-orig-source target and remove prebuilt libraries.

 -- Markus Koschany <apo@debian.org>  Fri, 20 Jan 2017 23:05:23 +0100

=== debian/control ===
Source: unknown-horizons
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Christoph Egger <christoph@debian.org>
Build-Depends:
 debhelper (>= 10),
 dh-python,
 docbook-xml,
 docbook-xsl,
 imagemagick,
 intltool,
 python,
 xsltproc
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/pkg-games/unknown-horizons.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/unknown-horizons.git
Homepage: http://www.unknown-horizons.org

Package: unknown-horizons
Architecture: all
Depends:
 ttf-unifont,
 python,
 python-enet,
 python-fife (>= 0.3.5+git160920),
 python-yaml,
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Description: 2D realtime strategy simulation
 Unknown Horizons is a 2D realtime strategy simulation with an
 emphasis on economy and city building. Expand your small settlement
 to a strong and wealthy colony, collect taxes and supply your
 inhabitants with valuable goods. Increase your power with a well
 balanced economy and with strategic trade and diplomacy.

=== debian/rules ===
--- 
+++ 
@@ -18,3 +18,5 @@
 override_dh_auto_build-indep:
 	convert -monitor -resize 32x32 $(CURDIR)/content/packages/unknown-horizons.xpm $(CURDIR)/unknown-horizons-32x32.xpm
 
+get-orig-source:
+	uscan --force-download --download-current-version --repack --compression xz

## unknown-horizons 2017.2

=== requirements.txt ===
--- 
+++ 
@@ -4,3 +4,6 @@
 pylint==1.6.4
 PyYAML==3.12
 Pillow==3.3.1
+isort==4.2.5
+polib
+pycodestyle

=== debian/changelog ===
unknown-horizons (2017.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2017.2.
  * Declare compliance with Debian Policy 4.0.0.
  * Tighten dependency on python-fife.
  * Drop deprecated menu file and xpm icon. Remove imagemagick from
    Build-Depends.
  * Drop VERSION.patch. Fixed upstream.
  * Link svg icon to hicolor directory. Thanks to Jeremy Bicha for the report
    and Ronny Standtke for the patch. (Closes: #853805)

 -- Markus Koschany <apo@debian.org>  Sat, 08 Jul 2017 00:59:45 +0200

unknown-horizons (2017.1+ds-2) unstable; urgency=medium

  * Team upload.
  * Tighten dependency on python-fife to >= 0.4.0-2. (Closes: #852143)

 -- Markus Koschany <apo@debian.org>  Sun, 22 Jan 2017 01:56:39 +0100

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,10 @@
  dh-python,
  docbook-xml,
  docbook-xsl,
- imagemagick,
  intltool,
  python,
  xsltproc
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Git: https://anonscm.debian.org/git/pkg-games/unknown-horizons.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/unknown-horizons.git
 Homepage: http://www.unknown-horizons.org
@@ -24,7 +23,7 @@
  ttf-unifont,
  python,
  python-enet,
- python-fife (>= 0.3.5+git160920),
+ python-fife (>= 0.4.1),
  python-yaml,
  ${misc:Depends},
  ${python:Depends},

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,4 @@
 #!/usr/bin/make -f
-# -*- makefile -*-
-
-# Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
 %:
@@ -15,8 +12,5 @@
 	# Remove executable bit from files like tm_* and make Lintian happy
 	find debian/unknown-horizons/usr/share/unknown-horizons -type f -exec chmod a-x {} \;
 
-override_dh_auto_build-indep:
-	convert -monitor -resize 32x32 $(CURDIR)/content/packages/unknown-horizons.xpm $(CURDIR)/unknown-horizons-32x32.xpm
-
 get-orig-source:
 	uscan --force-download --download-current-version --repack --compression xz

## unknown-horizons 2017.2+git20180906

=== requirements.txt ===
coverage==4.4.1
coveralls==1.1
crayons==0.1.2
future==0.16.0
greenlet==0.4.12
isort==4.2.13
mypy==0.511
Pillow==4.1.1
polib==1.0.8
pycodestyle==2.3.1
pytest==3.1.1
pytest-cov==2.5.1
pytest-mock==1.6.0
PyYAML==3.12
typing==3.6.1

=== debian/changelog ===
unknown-horizons (2017.2+git20180906-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2017.2+git20180906.
    - Fixes startup error. (Closes: #908135)
  * Switch to compat level 11.
  * Declare compliance with Debian Policy 4.2.1.
  * Depend on python3 dependencies instead of python2.

 -- Markus Koschany <apo@debian.org>  Fri, 07 Sep 2018 20:13:59 +0200

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,14 @@
 Uploaders:
  Christoph Egger <christoph@debian.org>
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 11),
  dh-python,
  docbook-xml,
  docbook-xsl,
  intltool,
- python,
+ python3,
  xsltproc
-Standards-Version: 4.0.0
+Standards-Version: 4.2.1
 Vcs-Git: https://anonscm.debian.org/git/pkg-games/unknown-horizons.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/unknown-horizons.git
 Homepage: http://www.unknown-horizons.org
@@ -21,13 +21,13 @@
 Architecture: all
 Depends:
  ttf-unifont,
- python,
- python-enet,
- python-fife (>= 0.4.1),
- python-yaml,
+ python3,
+ python3-enet,
+ python3-fife (>= 0.4.1+git20180904-2),
+ python3-future,
+ python3-yaml,
  ${misc:Depends},
- ${python:Depends},
- ${shlibs:Depends}
+ ${python3:Depends}
 Description: 2D realtime strategy simulation
  Unknown Horizons is a 2D realtime strategy simulation with an
  emphasis on economy and city building. Expand your small settlement

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
export PYBUILD_NAME=unknown-horizons
export XDG_CONFIG_HOME=$(CURDIR)/.config
export XDG_DATA_HOME=$(CURDIR)/.local/share
export XDG_CACHE_HOME=$(CURDIR)/.cache

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_configure:
	mkdir -p $(CURDIR)/.config/unknown-horizons \
	$(CURDIR)/.local/share/unknown-horizons \
	$(CURDIR)/.cache/unknown-horizons && cp content/settings-template.xml $(CURDIR)/.config
	./setup.py build_i18n
	dh_auto_configure

override_dh_auto_clean:
	mkdir -p $(CURDIR)/.config/unknown-horizons \
	$(CURDIR)/.local/share/unknown-horizons \
	$(CURDIR)/.cache/unknown-horizons && cp content/settings-template.xml $(CURDIR)/.config
	$(RM) $(CURDIR)/.config/settings-template.xml
	find . -name "*.mo" -delete
	$(RM) content/lang/stats.json
	dh_auto_clean

override_dh_auto_test:

override_dh_auto_install:
	dh_auto_install
	find debian/unknown-horizons -name "*.so" -delete
	rm debian/unknown-horizons/usr/share/unknown-horizons/content/fonts/GPL_fontexception\
	 debian/unknown-horizons/usr/share/unknown-horizons/content/fonts/OFL
	# Remove executable bit from files like tm_* and make Lintian happy
	find debian/unknown-horizons/usr/share/unknown-horizons -type f -exec chmod a-x {} \;

## unknown-horizons 2019.1

=== requirements.txt ===
coverage==4.4.1
coveralls==1.1
crayons==0.1.2
future==0.16.0
greenlet==0.4.12
isort==4.3.4
mypy==0.511
Pillow==4.1.1
polib==1.0.8
pycodestyle==2.3.1
pytest==3.1.1
pytest-cov==2.5.1
pytest-mock==1.6.0
pyyaml==4.2b1
typing==3.6.1

=== debian/changelog ===
unknown-horizons (2019.1-8) unstable; urgency=medium

  * Team upload.
  * Fix watch file
  * Add dep on python3-setuptools (Closes: #1080824)

 -- Alexandre Detiste <tchet@debian.org>  Sat, 21 Sep 2024 13:10:40 +0200

unknown-horizons (2019.1-7) unstable; urgency=medium

  * Team upload.
  * remove extraneous old dependency on python3-future
  * use watch file v4 -> but the game engine is being
    rewritten in Godot3, no new version expected.
  * use the new dh-sequence-python3
  * add debian/.gitignore

  [ Janitor ]
  * Use secure URI in Homepage field.
  * Update standards version to 4.6.2, no more changes needed.
  * add upstream metadata

 -- Alexandre Detiste <tchet@debian.org>  Sat, 09 Dec 2023 01:14:20 +0100

unknown-horizons (2019.1-6) unstable; urgency=medium

  * Team upload.
  * add d/clean: enable building twice from source tree, delete created files.
  * Replace link to unifont.ttf with unifont.otf. (Closes: #1033833)

 -- Tobias Frost <tobi@debian.org>  Mon, 03 Apr 2023 19:23:41 +0200

unknown-horizons (2019.1-5) unstable; urgency=medium

  * Team upload.
  * Cherry-picking upstream patch to silence warning on install.
    (Closes: #983228)
  * Fix AttributeError: module 'collections' has no attribute 'Iterable' by
    cherry-picking upstream patch (Closes: #1014084)

 -- Tobias Frost <tobi@debian.org>  Sun, 28 Aug 2022 13:16:18 +0200

unknown-horizons (2019.1-4) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.6.0 (no changes needed).
  * debian/control: Replace transitional dummy package ttf-unifont with
    the real package fonts-unifont.

 -- Boyuan Yang <byang@debian.org>  Wed, 25 Aug 2021 17:55:30 -0400

unknown-horizons (2019.1-3) unstable; urgency=medium

  * Team upload.
  * Switch to debhelper-compat = 13.
  * Declare compliance with Debian Policy 4.5.1.
  * Tighten the dependency on python3-fife.
  * Fix crash with unexpected keyword argument encoding. (Closes: #983144)

 -- Markus Koschany <apo@debian.org>  Sat, 20 Feb 2021 16:43:23 +0100

unknown-horizons (2019.1-2) unstable; urgency=medium

  * Team upload.
  * Add debian/patches/python3.8-platform.dist.patch. (Closes: #954632)
    - Add Build-Dependency python3-distro for this to work.
  * d/copyright:
    - Remove Files-Excluded that does not apply to upstream version 2019.1.
    - Replace tabs with spaces. According to lintian tag tab-in-license-text
      they are not allowed.
  * Switch to debhelper-compat 12. Remove file debian/compat.
  * Add Rules-Requires-Root: no.
  * Declare compliance with Debian Policy 4.5.0.

 -- Juhani Numminen <juhaninumminen0@gmail.com>  Tue, 31 Mar 2020 17:40:53 +0300

unknown-horizons (2019.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2019.1. (Closes: #918425)
  * Use canonical VCS URI.
  * Declare compliance with Debian Policy 4.3.0.
  * Tighten dependency on python3-fife.
  * Drop VERSION.patch.
  * Build-depend on python3-pil and automatically create atlas.sql.
  * Do not use a symlink for our svg icon because the appdata generator fails
    on that.

 -- Markus Koschany <apo@debian.org>  Tue, 15 Jan 2019 11:56:39 +0100

=== debian/control ===
--- 
+++ 
@@ -5,27 +5,30 @@
 Uploaders:
  Christoph Egger <christoph@debian.org>
 Build-Depends:
- debhelper (>= 11),
- dh-python,
+ debhelper-compat (= 13),
+ dh-sequence-python3,
  docbook-xml,
  docbook-xsl,
  intltool,
  python3,
+ python3-distro,
+ python3-pil,
+ python3-setuptools,
  xsltproc
-Standards-Version: 4.2.1
-Vcs-Git: https://anonscm.debian.org/git/pkg-games/unknown-horizons.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/unknown-horizons.git
-Homepage: http://www.unknown-horizons.org
+Rules-Requires-Root: no
+Standards-Version: 4.6.2
+Vcs-Git: https://salsa.debian.org/games-team/unknown-horizons.git
+Vcs-Browser: https://salsa.debian.org/games-team/unknown-horizons
+Homepage: https://www.unknown-horizons.org
 
 Package: unknown-horizons
 Architecture: all
 Depends:
- ttf-unifont,
  python3,
  python3-enet,
- python3-fife (>= 0.4.1+git20180904-2),
- python3-future,
+ python3-fife (>= 0.4.2-3),
  python3-yaml,
+ fonts-unifont,
  ${misc:Depends},
  ${python3:Depends}
 Description: 2D realtime strategy simulation

=== debian/rules ===
--- 
+++ 
@@ -6,14 +6,18 @@
 export XDG_CACHE_HOME=$(CURDIR)/.cache
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_auto_configure:
 	mkdir -p $(CURDIR)/.config/unknown-horizons \
 	$(CURDIR)/.local/share/unknown-horizons \
 	$(CURDIR)/.cache/unknown-horizons && cp content/settings-template.xml $(CURDIR)/.config
+	dh_auto_configure
+
+override_dh_auto_build:
+	cp content/gui/images/logos/uh_no_text.svg $(CURDIR)/unknown-horizons.svg
 	./setup.py build_i18n
-	dh_auto_configure
+	python3 horizons/engine/generate_atlases.py 2048
 
 override_dh_auto_clean:
 	mkdir -p $(CURDIR)/.config/unknown-horizons \
@@ -22,12 +26,12 @@
 	$(RM) $(CURDIR)/.config/settings-template.xml
 	find . -name "*.mo" -delete
 	$(RM) content/lang/stats.json
+	$(RM) $(CURDIR)/unknown-horizons.svg
 	dh_auto_clean
 
 override_dh_auto_test:
 
-override_dh_auto_install:
-	dh_auto_install
+execute_after_dh_auto_install:
 	find debian/unknown-horizons -name "*.so" -delete
 	rm debian/unknown-horizons/usr/share/unknown-horizons/content/fonts/GPL_fontexception\
 	 debian/unknown-horizons/usr/share/unknown-horizons/content/fonts/OFL

=== debian/watch ===
version=4
opts=dversionmangle=s/(\da?)[\+\.\-~](?:dfsg|debian|ds|repack|repacked)\.?\d*$/$1/,\
filenamemangle=s/(?:.*)?v?(\d[\d\.]*)\.tar\.gz/unknown-horizons-$1.tar.gz/ \
         https://github.com/unknown-horizons/unknown-horizons/tags (?:.*/)?v?(\d[\d\.]*)\.tar\.gz
